# NSHMP TypeScript Utilititles

API documentation: <https://ghsc.code-pages.usgs.gov/nshmp/nshmp-utils-ts/>

Contains interfaces and enums for dealing with the following on the web:

- [Leaflet](https://leafletjs.com/)
- [nshmp-haz](https://code.usgs.gov/ghsc/nshmp/nshmp-haz)
- [nshmp-lib](https://code.usgs.gov/ghsc/nshmp/nshmp-lib)
- [nshmp-ws](https://code.usgs.gov/ghsc/nshmp/nshmp-ws)
- [nshmp-ws-static](https://code.usgs.gov/ghsc/nshmp/nshmp-ws-static)
- [Plotly](https://github.com/plotly/plotly.js/)

## Commands

- `npm run build`: Compile TypeScript files
- `npm run clean`: Remove compiled files
- `npm run lint`: Lint project
- `npm run fix`: Fix formatting issues

## Installation

To install this as a NPM package first add the following to the `.npmrc` file:

```text
@ghsc:registry=https://code.usgs.gov/api/v4/packages/npm/
```

Install the package as:

```bash
npm i -S @ghsc/nshmp-utils-ts
```
