import {JobStatus} from './job-status.model';
import {RunNshmpHazHttpPostConfig} from './run-nshmp-haz-config';

/**
 * Dynamo DB item to add to table
 */
export interface DynamoDBItem {
  email: string;
  jobId: string;

  calc?: DynamoDBItemCalc;
  createdOn?: string;
  inputs?: RunNshmpHazHttpPostConfig;
  job?: DynamoDBItemJob;
  results?: DynamoDBItemResults;
}

export interface DynamoDBItemCalc {
  completedOn?: string;
  cores?: string;
  createdOn?: string;
  memory?: string;
  totalTime?: string;
}

export interface DynamoDBItemJob {
  environment?: string;
  errorMessage?: string;
  instanceId?: string;
  jobStatus?: JobStatus;
}

export interface DynamoDBItemResults {
  viewLogs?: string;
  zipFile?: string;
}
