/**
 * Vector tile layer item ids.
 *
 * Item ids can be found by viewing the data?f=json items in the network tab of
 * https://maps.arcgis.com/apps/mapviewer/index.html when viewing the base maps.
 */
export enum VectorId {
  // https://maps.arcgis.com/sharing/rest/content/items/33d6280d276d4af89fb66a6ffa7f2072/data
  OCEAN = '6061e78281f94bb6a671d11253d41f6e',

  // https://maps.arcgis.com/sharing/rest/content/items/e128f7554370429c91ef7c0e260c078a/data
  OUTDOOR = 'f320a8af9ffa4b4baeaf1d66f03da86f',

  // https://maps.arcgis.com/sharing/rest/content/items/0d17ba68a8f64c278e7e2e7864e1069d/data
  SATELLITE = '5447e9aef0684ec391ae9381725f7370',

  // https://maps.arcgis.com/sharing/rest/content/items/22fb75c0fa5a4c88b8ca4c4b8ae5c90b/data
  STREET = '6ee2da1b8303471c9e3340d1277926bc',

  // https://maps.arcgis.com/sharing/rest/content/items/8d57f09b9df345e79945f0f3da1d4d0f/data
  TOPO = 'd38e980fc20141a49231b9fcea1c9bc0',
}
