import {Response} from '../../../nshmp-ws-utils';
import {DoubleParameter} from '../../../nshmp-ws-utils/metadata';
import {HazardRequestMetadata} from '../hazard-service';

export type DisaggUsage = Response<string, DisaggRequestMetadata>;

export interface DisaggRequestMetadata extends HazardRequestMetadata {
  iml: ImlMetadata;
  returnPeriod: DoubleParameter;
}

export interface ImlMetadata {
  name: string;
  range: Record<string, DoubleParameter>;
}
