import * as geojson from 'geojson';

import {Response} from '../../../nshmp-ws-utils';
import {FeatureType} from './feature-type.model';

export type FeaturesResponse = Response<
  FeaturesRequestData,
  geojson.FeatureCollection
>;

export interface FeaturesRequestData {
  raw: boolean;
  featureType: FeatureType;
}
