import {Response} from '../../../nshmp-ws-utils';
import {HazardResponseMetadata} from '../hazard-service';

export type RateResponse = Response<RateRequestData, RateResponseData>;

export interface RateRequestData {
  longitude: number;
  latitude: number;
  distance: number;
}

export interface RateResponseData {
  metadata: HazardResponseMetadata;
  data: RateData[];
}

export interface RateData {
  component: string;
  xvalues: number[];
  yvalues: number[];
}
