import {Region} from './region.model';

export enum Basin {
  BAY_AREA = 'Bay Area',
  LOS_ANGELES = 'Los Angeles',
  PUGET_LOWLAND = 'Puget Lowland',
  WASATCH_FRONT = 'Wasatch Front',
}

export interface BasinRegion {
  title: string;
  basin: Basin;
  model: string;
  region: Region;
}

export interface BasinValues {
  z1p0: BasinValue;
  z2p5: BasinValue;
}

export interface BasinValue {
  model: string;
  value: number;
}
