/**
 * Enum parameter from nshmp usage.
 */
export interface EnumParameter<T> {
  label: string;
  type: string;
  values: T[];
}

/**
 * Enum parameter values from nshmp usage.
 */
export interface EnumParameterValues {
  id: number;
  value: string;
  display: string;
  displayorder: number;
}
