import {Config} from 'plotly.js';

/**
 * The plot config.
 *
 * See https://github.com/plotly/angular-plotly.js#basic-props for
 * added properties to Plotly config.
 */
export interface PlotlyConfig extends Partial<Config> {
  className?: string | string[];
  debug?: boolean;
  revision?: number;
  style?: {[key: string]: string};
  updateOnDataChange?: boolean;
  updateOnLayoutChange?: boolean;
  updateOnlyWithRevision?: boolean;
  useResizeHandler?: boolean;
}
