import {NshmId} from '../../../nshmp-lib/nshm';
import {Response} from '../../../nshmp-ws-utils';
import {StringParameter} from '../../../nshmp-ws-utils/metadata';

export type FaultSectionUsage = Response<string, FaultSectionMetadataResponse>;

export interface FaultSectionMetadataResponse {
  description: string;
  syntax: string[];
  parameters: FaultSectionParameters;
}

export interface FaultSectionParameters {
  nshm: StringParameter<NshmId>;
  raw: StringParameter<boolean>;
}
