import {Response} from '../../../nshmp-ws-utils';
import {DoubleParameter} from '../../../nshmp-ws-utils/metadata';
import {HazardModelMetadata} from '../hazard-service';

export type RateUsage = Response<string, RateRequestMetadata>;

export interface RateRequestMetadata extends HazardModelMetadata {
  latitude: DoubleParameter;
  longitude: DoubleParameter;
  distance: DoubleParameter;
}
