/**
 * Container for mean, standard deviation, and truncation level.
 */
export interface UncertaintyModel {
  /** Mean */
  μ: number;

  /** Standard deviation */
  σ: number;

  /** Truncation level */
  n: number;
}
