import {capitalCase} from 'change-case';

export enum TectonicSettings {
  /** Active, shallow crust. */
  ACTIVE_CRUST = 'ACTIVE_CRUST',

  /** Stable, shallow crust. */
  STABLE_CRUST = 'STABLE_CRUST',

  /** Subduction */
  SUBDUCTION = 'SUBDUCTION',

  /** Volcanic. */
  VOLCANIC = 'VOLCANIC',
}

export function tectonicSettingsToString(setting: TectonicSettings): string {
  return capitalCase(setting);
}
